#!/usr/bin/env python
import pigpio
import time
import datetime
from multiprocessing import Process

def run_in_parallel(*fns):
  proc = []
  for fn in fns:
    p = Process(target=fn)
    p.start()
    proc.append(p)
  for p in proc:
    p.join()

PTT_IS_ON = 0

# init GPIO
pi = pigpio.pi()
# button pin
pi.set_mode(10, pigpio.INPUT)

def button_press(gpio:int, level) -> bool:
    while True:
        if(pi.read(gpio)!=0):
            PTT_IS_ON = 1
        if(pi.read(gpio)==0):
            PTT_IS_ON = 0
    time.sleep(.5)

def ptt():
    while True:
        if PTT_IS_ON == 1:
            print("HEEEEEE")
    time.sleep(.5)
if __name__ == "__main__":
    run_in_parallel(button_press(10, pigpio.EITHER_EDGE), ptt())